
import { _decorator, Component, Node } from 'cc';
import { setting } from './config/setting';
const { ccclass, property } = _decorator;
 
@ccclass('operating')
export class operating extends Component {

    @property({type:Node})
        private static dig:Node|null=null;  //对话节点
    @property({type:Node})
        private static explore:Node|null=null;  //探索节点



        private static _instance:operating;
        private static BText='';
        private static EText='';

        //按钮文本
        private  static setBText(str:string){
            this.BText =str;
            if(this.explore == null) return;
        }
        private static getBText(){
            return this.BText;
        }

        //Label文本
        private static setEText(str:string){
            this.EText =str;
        }
        private static getEText(){
            return this.EText;
        }

        public static get instance() {
            if (this._instance) {
                return this._instance;
            }
    
            this._instance = new operating();
            return this._instance;
        } 
    start () {
        
    }



}
